﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        Graphics g;
        SolidBrush cetka = new SolidBrush(Color.Red);
        int x, y, r;
        Color tekuca_boja = Color.Red;
        int px, py;

        struct Oblik
        {
            public int x, y, r;
            public Color boja;
            // public int tip; 
            // tip = 0 -- krug; tip = 1 -- pravougaonik
            // public int popunjen;  
            // popunjen = 1 -- pun; popunjen = 0 -- prazan

            //pokusajte i sa ovim
            public Oblik (int x1,  int y1, int r1, Color boja1)
            {

                x = x1; y = y1; r = r1; boja = boja1;
            }
        }

        void nacrtaj(Oblik ob)
        {
            SolidBrush cetka1 = new SolidBrush(ob.boja);
            g.FillEllipse(cetka1, ob.x-ob.r, ob.y-ob.r, 2*ob.r, 2*ob.r);
        }

        List<Oblik> Objekti = new List<Oblik>();

        void promeni_boju()
        {
            Random rand = new Random();
            Color rand_boja = Color.FromArgb(rand.Next(256), rand.Next(256), rand.Next(256));
            cetka.Color = rand_boja;
            tekuca_boja = rand_boja;
        }

        private void Form1_KeyDown(object sender, KeyEventArgs e)
        {
            //uzimanje koordinata
            px = pictureBox1.Location.X;
            py = pictureBox1.Location.Y;

            // drugi nacin
            //pictureBox1.Top = 10;
            //pictureBox1.Left = 20;

            switch (e.KeyCode)
            {
                case Keys.Right: x += 5; px += 5; break;
                case Keys.Left: x -= 5; px -= 5; break;
                case Keys.Up: y -= 5; py -= 5; break;
                case Keys.Down: y += 5; py += 5; break;
                case Keys.S: if (r > 5) r -= 3; break;
                case Keys.P: if (r < 50) r += 3; break;
                case Keys.B: promeni_boju(); break;

            }

            pictureBox1.Location = new Point(px, py);

            g.FillEllipse(cetka, x - r, y - r, 2 * r, 2 * r);

            // 1. nacin
            Oblik tekuci_krug;
            tekuci_krug.x = x;
            tekuci_krug.y = y;
            tekuci_krug.r = r;
            tekuci_krug.boja = tekuca_boja;

            Objekti.Add(tekuci_krug);

            // 2. nacin
            //Oblik tek_krug = new WindowsFormsApplication1.Form1.Oblik(x, y, r, tekuca_boja);
            

//           Refresh();
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            g.FillEllipse(cetka, x - r, y - r, 2 * r, 2 * r);

            Oblik tekuci_krug;
            tekuci_krug.x = x;
            tekuci_krug.y = y;
            tekuci_krug.r = r;
            tekuci_krug.boja = tekuca_boja;

            Objekti.Add(tekuci_krug);

            foreach (Oblik k in Objekti)
                nacrtaj(k);

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            g = CreateGraphics();
            x = this.ClientRectangle.Width / 2;
            y = this.ClientRectangle.Height / 2;
            r = 30;

            g.FillEllipse(cetka, x - r, y - r, 2 * r, 2 * r);

        }
    }
}
